> For the complete documentation index, see [llms.txt](https://docs.limio.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.limio.com/components/component-library/legacy-configuration-components/component-offer-cards.md).

# Component: Offer Cards

**Purpose**: A display of offers stored on the campaign. Use this Offers component when you want to link your customers to an informational page.

## Props

| Prop Name               | Label                                                       | Type     | Default Value                                                                                                       | Description                                                                     |
| ----------------------- | ----------------------------------------------------------- | -------- | ------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------- |
| external\_pricing\_link | External pricing link                                       | string   | /long-term                                                                                                          | External pricing link                                                           |
| external\_pricing\_text | External pricing text                                       | string   | View multi-year pricing                                                                                             | External pricing text                                                           |
| offerWidth              | Card width                                                  | number   | 3                                                                                                                   | Width of offer cards                                                            |
| offerOverflowLayout     | Card alignment                                              | picklist | stretch                                                                                                             | Options: stretch, center, start, end                                            |
| includedFeaturesTitle   | Features Title                                              | string   | Whats Included?                                                                                                     | Offer features title                                                            |
| ineligibleMessage       | Ineligible for trial message                                | string   | You are not eligible for a trial offer. Please select a different offer to continue.                                | Ineligible for trial message                                                    |
| offerGrouping           | Group offers?                                               | boolean  | false                                                                                                               | If true the offers will split by grouping based of the group\_\_limio attribute |
| showOfferImages         | Show images for offers?                                     | boolean  | false                                                                                                               | If true offer images will be displayed                                          |
| maxCards                | Max number of offer cards per row (leave blank if no limit) | number   |                                                                                                                     | Max number of offer cards per row                                               |
| cardAlignment           | Direction of offer card arrangement                         | picklist | vertical                                                                                                            | options: verticle, horizontal                                                   |
| alwaysMinimise          | Always minimise features?                                   | boolean  | false                                                                                                               | If true the offer features will always be minimised                             |
| groupLabels             | Group labels                                                | list     | <p>{<br>"id": "digital",<br>"label": "Digital"<br>},<br>{<br>"id": "bundle",<br>"label": "Print + Digital"<br>}</p> | Grouping of the offers based on the group\_\_limio attribute                    |
| hideCardBreak           | Hide card break                                             | boolean  | false                                                                                                               |                                                                                 |

##


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.limio.com/components/component-library/legacy-configuration-components/component-offer-cards.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
